Subject: RE: Using WGS to bypass external review (was: Re: [newtrk] last c all on newtrk draft charter)

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Mon, 9 Feb 2004 11:52:17 +0100

The concerns expressed by Margaret and Keith are much in line
with the thoughts I had that generated my initial question on
the subject. However, I also agree with Spencer in that we
should not have to wait for years for a PS publication before
we have something that can be considered more stable than any
single Internet-Draft. To some extent, it seems like we are
just trying to re-invent the PS spirit, PS stands for Proposed
Standard, right? =)

Personally, I think PS should had been more like the WGS
proposal, although I do not have a clear opinion yet on the
exact review/approval/publication conditions for this level.

To get anything that works "better" (read quicker) than current
PS, we will have to give up something in the review/approval/
/publication chain, or change the roles (e.g. make the WG
responsible for this instead of the AD/IESG/RFC-Ed). I think
it should be possible to find the right checks and balances
for this and get a proper "initial publication level", but I
also think this should really be defined as the entry level
for the new standards track, not something separate.

/L-E 

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Margaret Wasserman
> Sent: den 9 februari 2004 03:40
> To: Keith Moore
> Cc: Spencer Dawkins; [email-masked]; [email-masked]
> Subject: Re: Using WGS to bypass external review (was: Re: 
> [newtrk] last
> call on newtrk draft charter)
> 
> 
> At 07:57 PM 2/8/2004 -0500, Keith Moore wrote:
> >It's completely broken for a WG to declare consensus on 
> anything resembling
> >a complete spec that hasn't enjoyed significant external 
> review.  What this
> >means is that the WG has become too committed to details 
> before it has had
> >a chance to get clue input from outside the WG.  That's a 
> big part of what
> >is wrong with our current process, and 
> draft-dawkins-pstmt-twostage would
> >only make it worse.
> 
> This sums up my concern pretty well.  BTW, I don't believe 
> that "external
> review" necessarily means IESG review.  This might be a good 
> use for an
> early/community review process that comes out of the ICAR 
> effort, for example.
> 
> >Which, come to think of it, is a good example of why 
> "newtrk" needs to take
> >a slightly broader look at the process rather than just 
> tweaking the standards
> >track.
> 
> I think that we can talk about our standards track and the 
> criteria for
> entry at each stage, without necessarily having the same WG define the
> processes to support achieving/measuring those criteria.
> 
> To my way of thinking, all document stages need to have some criteria
> for entry, and some way that a decision is made about whether those
> criteria have been met.  For instance, we could include some level of
> cross-area review in the requirements for a WGS-type document, and
> require the WG chair (or responsible AD?) to sign-off that 
> the appropriate
> reviews have been completed.  Or, we could require WG consensus (as
> determined by the chair) that the appropriate reviews have 
> been completed.
> 
> I do wonder, though...  If a WG can publish a WGS-type document based
> on WG consensus (as determined by the chair), does that have any
> implication for situations where the WG chair is also the document
> editor?  Can we reach a point where only one person is involved in
> judging whether a particular document is ready for WGS status?
> 
> Margaret
> 
> .
> newtrk resources:_____________________________________________________
> web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
> mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html
> 

This communication is confidential and intended solely for the addressee(s). Any unauthorized review, use, disclosure or distribution is prohibited. If you believe this message has been sent to you in error, please notify the sender by replying to this transmission and delete the message without disclosing it. Thank you.

E-mail including attachments is susceptible to data corruption, interruption, unauthorized amendment, tampering and viruses, and we only send and receive e-mails on the basis that we are not liable for any such corruption, interception, amendment, tampering or viruses or any consequences thereof.

.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html